# Rate Limits

An API rate limit restricts the number of requests a client can make to an API within a given period of time.

## General Rate Limit

Most Mobile Text Alerts API endpoints have a general rate limit of `30` requests per minute per IP address. However, some individual endpoints may override the general rate limit (see below).

{% hint style="warning" %}
Rate limits are **not** the same as message throughput, which is measured in message segments per second (MPS). MPS throughput is determined based on the sender's brand type, campaign type (use case), and trust score (for Standard Brands).
{% endhint %}

Your rate limit usage can be tracked in the `X-RateLimit-Limit`, `X-RateLimit-Remaining`, and `X-RateLimit-Reset` [response headers](/api-basics/request-response-headers.md#response-headers).

## Account-based rate limiting

Some endpoints use account-based rate limiting, where the rate limit is determined by the authenticated account instead of the IP address.

<table><thead><tr><th width="278">Endpoint</th><th>Rate Limit</th></tr></thead><tbody><tr><td><a href="/pages/uWy7KNA0Up6PqXje2UaC#send-message-api-endpoint">POST <code>/send</code></a></td><td>25 requests every 15 seconds</td></tr><tr><td><a href="/pages/zPNcaklGCrEWgty08qHI#post-groups-groupid-subscribers-bulk-create">POST <code>/groups/{groupId}/subscribers/bulk-create</code></a></td><td>5 requests every 15 seconds. A maximum of 1,000 records in a single request.</td></tr><tr><td><a href="/pages/zPNcaklGCrEWgty08qHI#post-groups-groupid-subscribers-bulk-delete">POST <code>/groups/{groupId}/subscribers/bulk-delete</code></a></td><td>5 requests every 15 seconds. A maximum of 1,000 records in a single request.</td></tr><tr><td><a href="/pages/8rtEAQEg4Hb0soq0ncWZ#get-custom-fields"><code>GET /custom-fields</code></a></td><td>15 requests every 15 seconds</td></tr><tr><td><a href="/pages/oUYNlHMpDeTfoGJdbCPp">GET, POST <code>/account-variables</code></a></td><td>15 requests every 15 seconds</td></tr><tr><td><a href="/pages/oUYNlHMpDeTfoGJdbCPp#get-account-variables-idortitle">GET, PATCH, DELETE <code>/account-variables/{idOrTitle}</code></a></td><td>15 requests every 15 seconds</td></tr><tr><td><a href="/pages/6lCXUinfzndmowyalpdL">GET, POST <code>/subscribers</code></a></td><td><p>15 requests every 15 seconds.</p><p><em>For large scale subscriber changes</em> <a href="/pages/JNcASHLbW0KHqc9eu2Mz"><em>Bulk Create/Update Subscribers</em></a> <em>endpoints are recommended.</em></p></td></tr><tr><td><a href="/pages/6lCXUinfzndmowyalpdL">GET, PATCH, DELETE <code>/subscribers/:idOrNumber</code></a></td><td>15 requests every 15 seconds</td></tr><tr><td><a href="/pages/JNcASHLbW0KHqc9eu2Mz">POST, PATCH <code>/subscribers/bulk</code></a></td><td>15 requests every 15 seconds. A maximum of 1,000 records in a single request.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.mobile-text-alerts.com/api-basics/rate-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
